Okta Identity Governance
/- Management APIs
- Access Requests - V2
- Resolve a task
List all tasks
Retrieve a task
Update a task
Resolve a task
Resolves a task for an assignee by providing the value of the task resolution
The value of the task resolution. Required for APPROVAL and QUESTION type tasks.
- For
APPROVALtype tasks, the only supported values areAPPROVEDorDENIED. - For
QUESTIONtype tasks, the value is the answer to the question, and can be any string. - For custom
TODOtype tasks, a value string isn't required.
POST
- Approve the task |tooltip| Only applicable for `APPROVAL` type tasks
- Deny the task |tooltip| Only applicable for `APPROVAL` type tasks
- Answer the question |tooltip| Only applicable for `QUESTION` type tasks
- Mark custom task complete |tooltip| Request body not required for custom `TODO` type tasks
curl -i -X POST \
https://subdomain.okta.com/governance/api/v2/tasks/68b0a1576dd8db837f5ee55d/resolve \
-H 'Content-Type: application/json' \
-d '{
"value": "APPROVED"
}'A successful resolve task response
The unique identifier for the task
Example:"68b0a1576dd8db837f5ee55d"
List of task assignees that perform actions on the task
The ISO 8601 formatted date and time when the object was created
The ISO 8601 formatted date and time when the object was last updated
Indicates whether a task is escalated to another user. See Escalate Tasks in the product documentation.
Indicates whether a task is delegated to another user. See Governance delegates in the product documentation.
ID of the original assignee before delegation or escalation
Response
- When approval task is APPROVED |tooltip| Task of type APPROVAL whose resolution value is APPROVED
- When approval task is DENIED |tooltip| Task of type APPROVAL whose resolution value is DENIED
- When question task is resolved |tooltip| Task of type QUESTION whose resolution value is the answer to the question.
- When TODO task is resolved |tooltip| Task of type TODO has no resolution value
Task of type APPROVAL whose resolution value is APPROVED
{ "id": "68b0ed9802df442e8b601807", "assignees": [ { … }, { … } ], "status": "COMPLETED", "label": "This is an approval task", "requestId": "req42kjDgk1EubTwo0g4", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "type": "APPROVAL", "value": "APPROVED", "completedBy": { "externalId": "00u1a2b3c4d5e6f7g8h9", "type": "OKTA_USER" } }